# IRremoteESP8266: src/ir_Tcl.h File Reference

ir_Tcl.h File Reference

Support for TCL protocols. More...

Go to the source code of this file.

## Classes

class | IRTcl112Ac
| Class for handling detailed TCL A/C messages. More...

## Variables

const uint16_t | kTcl112AcHdrMark = 3000
const uint16_t | kTcl112AcHdrSpace = 1650
const uint16_t | kTcl112AcBitMark = 500
const uint16_t | kTcl112AcOneSpace = 1050
const uint16_t | kTcl112AcZeroSpace = 325
const uint32_t | kTcl112AcGap = kDefaultMessageGap
const uint8_t | kTcl112AcHdrMarkTolerance = 6
const uint8_t | kTcl112AcTolerance = 5
const uint8_t | kTcl112AcHeat = 1
const uint8_t | kTcl112AcDry = 2
const uint8_t | kTcl112AcCool = 3
const uint8_t | kTcl112AcFan = 7
const uint8_t | kTcl112AcAuto = 8
const uint8_t | kTcl112AcModeSize = 4
const uint8_t | kTcl112AcFanSize = 3
const uint8_t | kTcl112AcFanAuto = 0b000
const uint8_t | kTcl112AcFanLow = 0b010
const uint8_t | kTcl112AcFanMed = 0b011
const uint8_t | kTcl112AcFanHigh = 0b101
const uint8_t | kTcl112AcHalfDegreeOffset = 5
const float | kTcl112AcTempMax = 31.0
const float | kTcl112AcTempMin = 16.0
const uint8_t | kTcl112AcPowerOffset = 2
const uint8_t | kTcl112AcBitEconoOffset = 7
const uint8_t | kTcl112AcBitLightOffset = 6
const uint8_t | kTcl112AcBitHealthOffset = 4
const uint8_t | kTcl112AcBitSwingHOffset = 3
const uint8_t | kTcl112AcSwingVOffset = 3
const uint8_t | kTcl112AcSwingVSize = 3
const uint8_t | kTcl112AcSwingVOn = 0b111
const uint8_t | kTcl112AcSwingVOff = 0b000
const uint8_t | kTcl112AcBitTurboOffset = 6

## Detailed Description

Support for TCL protocols.

## Variable Documentation

## kTcl112AcAuto

const uint8_t kTcl112AcAuto = 8

## kTcl112AcBitEconoOffset

const uint8_t kTcl112AcBitEconoOffset = 7

## kTcl112AcBitHealthOffset

const uint8_t kTcl112AcBitHealthOffset = 4

## kTcl112AcBitLightOffset

const uint8_t kTcl112AcBitLightOffset = 6

## kTcl112AcBitMark

const uint16_t kTcl112AcBitMark = 500

## kTcl112AcBitSwingHOffset

const uint8_t kTcl112AcBitSwingHOffset = 3

## kTcl112AcBitTurboOffset

const uint8_t kTcl112AcBitTurboOffset = 6

## kTcl112AcCool

const uint8_t kTcl112AcCool = 3

## kTcl112AcDry

const uint8_t kTcl112AcDry = 2

## kTcl112AcFan

const uint8_t kTcl112AcFan = 7

## kTcl112AcFanAuto

const uint8_t kTcl112AcFanAuto = 0b000

## kTcl112AcFanHigh

const uint8_t kTcl112AcFanHigh = 0b101

## kTcl112AcFanLow

const uint8_t kTcl112AcFanLow = 0b010

## kTcl112AcFanMed

const uint8_t kTcl112AcFanMed = 0b011

## kTcl112AcFanSize

const uint8_t kTcl112AcFanSize = 3

## kTcl112AcGap

const uint32_t kTcl112AcGap = kDefaultMessageGap

## kTcl112AcHalfDegreeOffset

const uint8_t kTcl112AcHalfDegreeOffset = 5

## kTcl112AcHdrMark

const uint16_t kTcl112AcHdrMark = 3000

## kTcl112AcHdrMarkTolerance

const uint8_t kTcl112AcHdrMarkTolerance = 6

## kTcl112AcHdrSpace

const uint16_t kTcl112AcHdrSpace = 1650

## kTcl112AcHeat

const uint8_t kTcl112AcHeat = 1

## kTcl112AcModeSize

const uint8_t kTcl112AcModeSize = 4

## kTcl112AcOneSpace

const uint16_t kTcl112AcOneSpace = 1050

## kTcl112AcPowerOffset

const uint8_t kTcl112AcPowerOffset = 2

## kTcl112AcSwingVOff

const uint8_t kTcl112AcSwingVOff = 0b000

## kTcl112AcSwingVOffset

const uint8_t kTcl112AcSwingVOffset = 3

## kTcl112AcSwingVOn

const uint8_t kTcl112AcSwingVOn = 0b111

## kTcl112AcSwingVSize

const uint8_t kTcl112AcSwingVSize = 3

## kTcl112AcTempMax

const float kTcl112AcTempMax = 31.0

## kTcl112AcTempMin

const float kTcl112AcTempMin = 16.0

## kTcl112AcTolerance

const uint8_t kTcl112AcTolerance = 5

## kTcl112AcZeroSpace

const uint16_t kTcl112AcZeroSpace = 325